Package com.verisign.epp.codec.emailFwd

## Class EPPEmailFwdStatus

- java.lang.Object
- - com.verisign.epp.codec.emailFwd.EPPEmailFwdStatus

- All Implemented Interfaces:
    `EPPCodecComponent`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPEmailFwdStatus
      extends java.lang.Object
      implements EPPCodecComponent

  Represents a emailFwd Status. A emailFwd object MUST always have at least one associated status value. Status values MAY be set only by the client that sponsors a emailFwd object and by the server on which the object resides. A client MAY change the status of a emailFwd object using the EPP <update> command. Each status value MAY be accompanied by a string of human-readable text that describes the rationale for the status applied to the object.
  A client MUST NOT alter status values set by the server. A server MAY alter or override status values set by a client subject to local server policies.
  Status values that may be added or removed by a client are prefixed with "client". Corresponding status values that may be added or removed by a server are prefixed with "server". Status values that do not begin with either "client" or "server" are server-managed.
  Status Value Descriptions:
  - clientDeleteProhibited, serverDeleteProhibited: Requests to delete the object MUST be rejected.
  - clientHold, serverHold: Delegation information MUST be withheld from publication in the object's nominal zone.
  - clientRenewProhibited, serverRenewProhibited: Requests to renew the object MUST be rejected.
  - clientTransferProhibited, serverTransferProhibited: Requests to transfer the object MUST be rejected.
  - clientUpdateProhibited, serverUpdateProhibited: Requests to update the object (other than to remove this status) MUST be rejected.
  - inactive: Delegation information has not been associated with the object.
  - ok: This is the nominal status value for an object that has no pending perations or prohibitions.
  - pendingDelete: A delete request has been received for the object, but the object has not yet been purged from the server database.
  - pendingTransfer: A transfer request has been received for the object, and completion of the request is pending. Transform commands other than <transfer> MUST be rejected while an object is in this state.
  - pendingVerification: A create request has been received for the object, and completion of the request is pending.
  - `ok` status MUST NOT be combined with any other status.
  - `pendingDelete` status MUST NOT be combined with either
  - `clientDeleteProhibited` or `serverDeleteProhibited` status.
  - `pendingTransfer` status MUST NOT be combined with either `clientTransferProhibited` or `serverTransferProhibited` status.
  - Allother status value combinations are valid.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_DEFAULT_LANG` | Default Language -- English "en"
    `static java.lang.String` | `ELM_STATUS_CLIENT_DELETE_PROHIBITED` | Value of the client delete prohibited status in emailFwd mapping
    `static java.lang.String` | `ELM_STATUS_CLIENT_HOLD` | Value of the client hold status in emailFwd mapping
    `static java.lang.String` | `ELM_STATUS_CLIENT_RENEW_PROHIBITED` | Value of the client renew prohibited status in emailFwd mapping
    `static java.lang.String` | `ELM_STATUS_CLIENT_TRANSFER_PROHIBITED` | Value of the client transfer prohibited status in emailFwd mapping
    `static java.lang.String` | `ELM_STATUS_CLIENT_UPDATE_PROHIBITED` | Value of the client update prohibited status in emailFwd mapping
    `static java.lang.String` | `ELM_STATUS_OK` | Value of the OK status in emailFwd mapping
    `static java.lang.String` | `ELM_STATUS_PENDING_CREATE` | Value of the pending create status in emailFwd mapping
    `static java.lang.String` | `ELM_STATUS_PENDING_DELETE` | Value of the pending delete status in emailFwd mapping
    `static java.lang.String` | `ELM_STATUS_PENDING_RENEW` | Value of the pending renew status in emailFwd mapping
    `static java.lang.String` | `ELM_STATUS_PENDING_TRANSFER` | Value of the pending transfer status in emailFwd mapping
    `static java.lang.String` | `ELM_STATUS_PENDING_UPDATE` | Value of the pending update status in emailFwd mapping
    `static java.lang.String` | `ELM_STATUS_SERVER_DELETE_PROHIBITED` | Value of the server delete prohibited status in emailFwd mapping
    `static java.lang.String` | `ELM_STATUS_SERVER_HOLD` | Value of the server hold status in emailFwd mapping
    `static java.lang.String` | `ELM_STATUS_SERVER_RENEW_PROHIBITED` | Value of the server renew prohibited status in emailFwd mapping
    `static java.lang.String` | `ELM_STATUS_SERVER_TRANSFER_PROHIBITED` | Value of the server transfer prohibited status in emailFwd mapping
    `static java.lang.String` | `ELM_STATUS_SERVER_UPDATE_PROHIBITED` | Value of the server update prohibited status in emailFwd mapping

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPEmailFwdStatus()` | `EPPEmailFwdStatus` default constructor.
    `EPPEmailFwdStatus​(java.lang.String aStatus)` | `EPPEmailFwdStatus` constructor that takes the emailFwd status as argument.
    `EPPEmailFwdStatus​(java.lang.String aStatus, java.lang.String aLang)` | `EPPEmailFwdStatus` constructor that takes the emailFwd status and the language as arguments.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` | Clone `EPPEmailFwdStatus`.
    `void` | `decode​(org.w3c.dom.Element aElement)` | Decode the EPPEmailFwdStatus attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode​(org.w3c.dom.Document aDocument)` | Encode a DOM Element tree from the attributes of the EPPEmailFwdStatus instance.
    `boolean` | `equals​(java.lang.Object aObject)` | implements a deep `EPPEmailFwdStatus` compare.
    `java.lang.String` | `getLang()` | Get language of the status.
    `java.lang.String` | `getNamespace()` | Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.lang.String` | `getStatus()` | Get emailFwd status.
    `void` | `setLang​(java.lang.String newLang)` | Set language of emailFwd status.
    `void` | `setStatus​(java.lang.String newStatus)` | Set emailFwd status.
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_STATUS_OK

          public static final java.lang.String ELM_STATUS_OK

      Value of the OK status in emailFwd mapping
      See Also:
        Constant Field Values

    - #### ELM_STATUS_SERVER_HOLD

          public static final java.lang.String ELM_STATUS_SERVER_HOLD

      Value of the server hold status in emailFwd mapping
      See Also:
        Constant Field Values

    - #### ELM_STATUS_SERVER_RENEW_PROHIBITED

          public static final java.lang.String ELM_STATUS_SERVER_RENEW_PROHIBITED

      Value of the server renew prohibited status in emailFwd mapping
      See Also:
        Constant Field Values

    - #### ELM_STATUS_SERVER_TRANSFER_PROHIBITED

          public static final java.lang.String ELM_STATUS_SERVER_TRANSFER_PROHIBITED

      Value of the server transfer prohibited status in emailFwd mapping
      See Also:
        Constant Field Values

    - #### ELM_STATUS_SERVER_UPDATE_PROHIBITED

          public static final java.lang.String ELM_STATUS_SERVER_UPDATE_PROHIBITED

      Value of the server update prohibited status in emailFwd mapping
      See Also:
        Constant Field Values

    - #### ELM_STATUS_SERVER_DELETE_PROHIBITED

          public static final java.lang.String ELM_STATUS_SERVER_DELETE_PROHIBITED

      Value of the server delete prohibited status in emailFwd mapping
      See Also:
        Constant Field Values

    - #### ELM_STATUS_PENDING_CREATE

          public static final java.lang.String ELM_STATUS_PENDING_CREATE

      Value of the pending create status in emailFwd mapping
      See Also:
        Constant Field Values

    - #### ELM_STATUS_PENDING_DELETE

          public static final java.lang.String ELM_STATUS_PENDING_DELETE

      Value of the pending delete status in emailFwd mapping
      See Also:
        Constant Field Values

    - #### ELM_STATUS_PENDING_RENEW

          public static final java.lang.String ELM_STATUS_PENDING_RENEW

      Value of the pending renew status in emailFwd mapping
      See Also:
        Constant Field Values

    - #### ELM_STATUS_PENDING_TRANSFER

          public static final java.lang.String ELM_STATUS_PENDING_TRANSFER

      Value of the pending transfer status in emailFwd mapping
      See Also:
        Constant Field Values

    - #### ELM_STATUS_PENDING_UPDATE

          public static final java.lang.String ELM_STATUS_PENDING_UPDATE

      Value of the pending update status in emailFwd mapping
      See Also:
        Constant Field Values

    - #### ELM_STATUS_CLIENT_HOLD

          public static final java.lang.String ELM_STATUS_CLIENT_HOLD

      Value of the client hold status in emailFwd mapping
      See Also:
        Constant Field Values

    - #### ELM_DEFAULT_LANG

          public static final java.lang.String ELM_DEFAULT_LANG

      Default Language -- English "en"
      See Also:
        Constant Field Values

    - #### ELM_STATUS_CLIENT_TRANSFER_PROHIBITED

          public static final java.lang.String ELM_STATUS_CLIENT_TRANSFER_PROHIBITED

      Value of the client transfer prohibited status in emailFwd mapping
      See Also:
        Constant Field Values

    - #### ELM_STATUS_CLIENT_UPDATE_PROHIBITED

          public static final java.lang.String ELM_STATUS_CLIENT_UPDATE_PROHIBITED

      Value of the client update prohibited status in emailFwd mapping
      See Also:
        Constant Field Values

    - #### ELM_STATUS_CLIENT_RENEW_PROHIBITED

          public static final java.lang.String ELM_STATUS_CLIENT_RENEW_PROHIBITED

      Value of the client renew prohibited status in emailFwd mapping
      See Also:
        Constant Field Values

    - #### ELM_STATUS_CLIENT_DELETE_PROHIBITED

          public static final java.lang.String ELM_STATUS_CLIENT_DELETE_PROHIBITED

      Value of the client delete prohibited status in emailFwd mapping
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPEmailFwdStatus

          public EPPEmailFwdStatus()

      `EPPEmailFwdStatus` default constructor. The status is initialized to `ELM_STATUS_OK`. The lang is initialized to `ELM_DEFAULT_LANG`.

    - #### EPPEmailFwdStatus

          public EPPEmailFwdStatus​(java.lang.String aStatus)

      `EPPEmailFwdStatus` constructor that takes the emailFwd status as argument. The language will default to `ELM_DEFAULT_LANG`.
      Parameters:
        `aStatus` - String EmailFwd staus

    - #### EPPEmailFwdStatus

          public EPPEmailFwdStatus​(java.lang.String aStatus,
                                   java.lang.String aLang)

      `EPPEmailFwdStatus` constructor that takes the emailFwd status and the language as arguments.
      Parameters:
        `aStatus` - String EmailFwd status
        `aLang` - String Language of the status

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPEmailFwdStatus`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPEmailFwdStatus`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### decode

          public void decode​(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the EPPEmailFwdStatus attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - - Root DOM Element to decode EPPEmailFwdStatus from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### encode

          public org.w3c.dom.Element encode​(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the EPPEmailFwdStatus instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element - Root DOM Element representing the EPPEmailFwdStatus instance.
      Throws:
        `EPPEncodeException` - - Unable to encode EPPEmailFwdStatus instance.

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      implements a deep `EPPEmailFwdStatus` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPEmailFwdStatus` instance to compare with
      Returns:
        DOCUMENT ME!

    - #### getLang

          public java.lang.String getLang()

      Get language of the status.
      Returns:
        String Language

    - #### getStatus

          public java.lang.String getStatus()

      Get emailFwd status.
      Returns:
        String EmailFwd Status

    - #### setLang

          public void setLang​(java.lang.String newLang)

      Set language of emailFwd status.
      Parameters:
        `newLang` - String

    - #### setStatus

          public void setStatus​(java.lang.String newStatus)

      Set emailFwd status.
      Parameters:
        `newStatus` - String

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.